Bug 13401 - sort branches alphabetically in admin/authorised_values.pl
Summary: sort branches alphabetically in admin/authorised_values.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-05 14:00 UTC by Fridolin SOMERS
Modified: 2015-12-03 22:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13401 - sort branches alphabetically in admin/authorised_values.pl (1.83 KB, patch)
2014-12-05 15:02 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[Signed-off] Bug 13401 - sort branches alphabetically in admin/authorised_values.pl (2.03 KB, patch)
2014-12-06 14:50 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13401 - sort branches alphabetically in admin/authorised_values.pl (1.99 KB, patch)
2014-12-12 14:09 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2014-12-05 14:00:29 UTC
Sort branches alphabetically by name in authorised values administration, like in many other pages
Comment 1 Fridolin SOMERS 2014-12-05 15:02:50 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-12-06 14:50:55 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-12-12 14:09:04 UTC
Created attachment 34345 [details] [review]
[PASSED QA] Bug 13401 - sort branches alphabetically in admin/authorised_values.pl

This patch adds a sort of branches alphabetically by name in authorised values administration, like in many other pages.

Also replaces var $branch (too ambigus) by $branchcode.

Test plan :
- Create 2 branches : code=AAA,name=Zbranch and code=ZZZ,name=Abranch
- Create a new authorized value : admin/authorised_values.pl
- Look at "Libraries limitation" :
=> Without patch branches are sorted by code : Zbranch then Abranch
=> Without patch branches are sorted by name : Abranch then Zbranch
- Select a branch and save
- Re-edit
=> Check the same branch is selected

Followed test plan. Patch behaves as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-02-09 16:49:29 UTC
Patch pushed to master.

Thanks Fridolin!
Comment 5 Chris Cormack 2015-02-12 22:13:42 UTC
Pushed to 3.18.x will be in 3.18.4
Comment 6 Mason James 2015-02-26 04:29:01 UTC
Pushed to 3.16.x, will be in 3.16.8
Comment 7 Fridolin SOMERS 2015-04-21 12:06:22 UTC
Pushed to 3.14, will be in 3.14.15.